Log in by SMS

Log in by SMS API Endpoint

  1. {{baseurl}}/api/v1/login-sms

Description

This API endpoint is used to send an SMS with a verification code (OTP) to the user's phone number for authentication.

Request Method

POST

Request Body

Parameter
Type
Description

phone_number

string

The user's phone number for authentication.

country_id

string

The country code where the user is located (e.g., "US").

lang_id

string

The preferred language of the user (e.g., "en").

Example Request Body:

Response

Success (200)

SMS verify API Endpoint

  1. {{baseurl1}}/api/v1/login-sms-verify

Description

This API endpoint is used to verify the OTP sent via SMS to the user's phone number for authentication.

Request Method

POST

Request Body

Parameter
Type
Description

OTP_value

string

The OTP (One-Time Password) sent to the user's phone.

phone_number

string

The user's phone number used for authentication.

country_id

string

The country code where the user is located (e.g., "US").

Example Request Body:

Response

Success (200)

Last updated